Skip to main content
GET
Query the metadata and schema of the given table

Path Parameters

share
string
required

Named share for finding the named schema

schema
string
required

Named schema for finding the named table

table
string
required

Named table

Query Parameters

startingTimestamp
string

Starting Timestamp

Response

A sequence of JSON strings containing the table protocol and then the table metadata

The response is of type string.

Example:

"{\"protocol\":{\"minReaderVersion\":1}}\n{\"metaData\":{\"id\":\"f8d5c169-3d01-4ca3-ad9e-7dc3355aedb2\",\"format\":{\"provider\":\"parquet\"},\"schemaString\":\"{\\\"type\\\":\\\"struct\\\",\\\"fields\\\":[{\\\"name\\\":\\\"eventTime\\\",\\\"type\\\":\\\"timestamp\\\",\\\"nullable\\\":true,\\\"metadata\\\":{}},{\\\"name\\\":\\\"date\\\",\\\"type\\\":\\\"date\\\",\\\"nullable\\\":true,\\\"metadata\\\":{}}]}\",\"partitionColumns\":[\"date\"]}}\n"

Last modified on August 10, 2026